Page MenuHomePhabricator

User setting for disabling AdvancedSearch
Closed, ResolvedPublic3 Story Points

Description

Motivation
AdvancedSearch helps editors who don't know keywords by heart, and/or who are not too familiar with the namespace concept. There are users, who don't need help with both and might prefer the existing, more minimalistic interface.

Task

  • Add a user preference in the "Search" tab that allows users to disable AdvancedSearch

Event Timeline

Lea_WMDE created this task.Nov 27 2018, 7:53 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptNov 27 2018, 7:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-Fisch set the point value for this task to 3.
JStrodt_WMDE added a subscriber: JStrodt_WMDE.EditedNov 27 2018, 9:16 AM

Text for the user preference

  • Title: Advanced Search
  • Description: Advanced Search adds a form to the Special:Search page. This allows you to perform specialized searches, even if you don't know any search syntax. It also changes the way namespaces can be selected.
  • Button: Don’t show the Advanced Search interface

Change 475972 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/AdvancedSearch@master] Add user preference to disable the advanced interface

https://gerrit.wikimedia.org/r/475972

WMDE-Fisch triaged this task as High priority.Nov 27 2018, 9:49 AM

This should go into master before the train today and needs to be back-ported to 1.33.0-wmf.4 so it's available when the AdvancedSearch will is going default tomorrow around noon. - See T207639

Change 475985 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/AdvancedSearch@wmf/1.33.0-wmf.4] Add user preference to disable the advanced interface

https://gerrit.wikimedia.org/r/475985

This should go into master before the train today and needs to be back-ported to 1.33.0-wmf.4 so it's available when the AdvancedSearch will is going default tomorrow around noon. - See T207639

Back-port will be deployed Wednesday before going default with the extension 1PM UTC+1
https://wikitech.wikimedia.org/w/index.php?title=Deployments&type=revision&diff=1809596&oldid=1809595

Change 475972 merged by WMDE-Fisch:
[mediawiki/extensions/AdvancedSearch@master] Add user preference to disable the advanced interface

https://gerrit.wikimedia.org/r/475972

Change 475985 merged by Zfilipin:
[mediawiki/extensions/AdvancedSearch@wmf/1.33.0-wmf.4] Add user preference to disable the advanced interface

https://gerrit.wikimedia.org/r/475985

Mentioned in SAL (#wikimedia-operations) [2018-11-28T13:19:19Z] <zfilipin@deploy1001> Started scap: SWAT: [[gerrit:475985|Add user preference to disable the advanced interface (T210479)]]

Mentioned in SAL (#wikimedia-operations) [2018-11-28T13:57:31Z] <zfilipin@deploy1001> Finished scap: SWAT: [[gerrit:475985|Add user preference to disable the advanced interface (T210479)]] (duration: 38m 12s)

Lea_WMDE closed this task as Resolved.Dec 3 2018, 8:55 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-11-20 board.

Change 489718 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Add missing test cases for GetPreferences hook handler

https://gerrit.wikimedia.org/r/489718

Change 489718 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Add missing test cases for GetPreferences hook handler

https://gerrit.wikimedia.org/r/489718